Timekit developers

GET List of templates

Get list of all available email templates. Please be advised this is restricted to the Platform tier and is not available for apps in test mode.

Endpoint

GET https://api.timekit.io/v2/templates

Requests from apps whose plan doesn't include email templates (including apps in test mode) return 403.

Response examples

200

json
[
    {
        "slug": "inviteUserToApp",
        "name": "Invite user to app"
    },
    {
        "slug": "notifyCustomerOfBooking",
        "name": "Notify customer of booking"
    },
    {
        "slug": "notifyCustomerOfCancelledBooking",
        "name": "Notify customer of cancelled booking"
    },
    {
        "slug": "notifyCustomerOfDeclinedBooking",
        "name": "Notify customer of declined booking"
    },
    {
        "slug": "notifyCustomerOfGroupBooking",
        "name": "Notify customer of group booking"
    },
    {
        "slug": "remindCustomerOfBooking",
        "name": "Remind customer of booking"
    }
]
Last edited 6 October 2026.